### Method

# WebKit WebContext set_spell_checking_languages

#### Declaration [src]

    void
    webkit_web_context_set_spell_checking_languages (
      WebKitWebContext* context,
      const gchar* const* languages
    )

#### Description [src]

Set the list of spell checking languages to be used for spell checking.

The locale string typically is in the form lang_COUNTRY, where lang is an ISO-639 language code, and COUNTRY is an ISO-3166 country code. For instance, sv_FI for Swedish as written in Finland or pt_BR for Portuguese as written in Brazil.

You need to call this function with a valid list of languages at least once in order to properly enable the spell checking feature in WebKit.

#### Parameters

`languages` | An array of `gchar*`
| A `NULL`-terminated list of spell checking languages.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.